ExperimentImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: ExperimentImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class ExperimentImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.ExperimentImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent`

public class ExperimentImmutable extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExperimentImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Experiment experiment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `checkExists()`
  Throw an exception if the sample does not exist
  `boolean`
  `equals(Object obj)`
  `ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.id.IObjectId`
  `getEntityId()`
  `ch.systemsx.cisd.openbis.generic.shared.basic.dto.Experiment`
  `getExperiment()`
  `String`
  `getExperimentIdentifier()`
  `String`
  `getExperimentType()`
  `Long`
  `getId()`
  `Date`
  `getModificationDate()`
  `String`
  `getPermId()`
  `String`
  `getPropertyValue(String propertyCode)`
  `Date`
  `getRegistrationDate()`
  `int`
  `hashCode()`
  `boolean`
  `isExistingExperiment()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExperimentImmutable

    public ExperimentImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Experiment experiment)

- ## Method Details

  - ### getExperimentIdentifier

    public String getExperimentIdentifier()
    Specified by:
      `getExperimentIdentifier` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`

  - ### getId

    public Long getId()

  - ### getEntityId

    public ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.id.IObjectId getEntityId()
    Specified by:
      `getEntityId` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent`

  - ### isExistingExperiment

    public boolean isExistingExperiment()
    Specified by:
      `isExistingExperiment` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`

  - ### checkExists

    protected void checkExists()
    Throw an exception if the sample does not exist

  - ### getExperiment

    public ch.systemsx.cisd.openbis.generic.shared.basic.dto.Experiment getExperiment()

  - ### getPropertyValue

    public String getPropertyValue(String propertyCode)
    Specified by:
      `getPropertyValue` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`

  - ### getExperimentType

    public String getExperimentType()
    Specified by:
      `getExperimentType` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`

  - ### getPermId

    public String getPermId()
    Specified by:
      `getPermId` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`

  - ### getRegistrationDate

    public Date getRegistrationDate()
    Specified by:
      `getRegistrationDate` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`

  - ### getModificationDate

    public Date getModificationDate()
    Specified by:
      `getModificationDate` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`